# Created by pyp2rpm-3.3.3
%global pypi_name statmake

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 1
Summary:        Applies STAT information from a Stylespace to a variable font
Group:          Development/Python
License:        None
URL:            https://github.com/daltonmaag/statmake
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%package -n     python3-%{pypi_name}
Summary:        Applies STAT information from a Stylespace to a variable font
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/statmake
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jul 23 2020 wally <wally> 0.3.0-1.mga8
+ Revision: 1608298
- new version 0.3.0

* Tue Feb 18 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1541921
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1475658
- imported package python-statmake

